Bug 129147 - top - irix/solaris view (smp) idle time incorrect
top - irix/solaris view (smp) idle time incorrect
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procps (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Depends On:
  Show dependency treegraph
Reported: 2004-08-04 10:15 EDT by umesh wanigasekera
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-08 06:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description umesh wanigasekera 2004-08-04 10:15:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
when irix/solaris view is selected in top,
the total cpu idle time shown is incorrect
(actually shows (100*no.of.cpus) - total_cpu_usage )

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run top
2.press <I>

Actual Results:   20:15:51  up 6 days, 10:34, 10 users,  load 
average: 0.76, 0.84, 0.80
125 processes: 124 sleeping, 1 running, 0 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    
           total   13.6%    0.0%   28.4%   0.0%     0.0%   12.0%  
           cpu00    2.9%    0.0%    7.9%   0.0%     0.0%    3.4%   
           cpu01    2.4%    0.0%    4.9%   0.0%     0.0%    0.9%   
           cpu02    3.9%    0.0%    5.4%   0.0%     0.0%    4.4%   
           cpu03    4.4%    0.0%   10.4%   0.0%     0.0%    3.4%   
Mem:  4124032k av, 4103420k used,   20612k free,       0k shrd,  
231636k buff
                    824388k actv, 2978308k in_d,   75124k in_c
Swap: 2096440k av,   60708k used, 2035732k free                 
3542688k cached

Additional info:

total idle cpu usage should read 44.8 (or 46 to sum up properly)
Comment 1 Karel Zak 2004-12-08 12:47:14 EST
Can you check it with procps-2.0.17-13 that is RHEL3-U4? I fixed
something with percentages in top for this update.
Comment 2 Karel Zak 2005-09-08 06:29:32 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.

Users who have experienced this problem are encouraged to upgrade to the latest
update release, and if this issue is still reproduceable, please contact the Red
Hat Global Support Services page on our website for technical support options:

If you have a telephone based support contract, you may contact Red Hat at
1-888-GO-REDHAT for technical support for the problem you are experiencing.

Note You need to log in before you can comment on or make changes to this bug.